
QGIS Application - Bug report #778

Displaying raster images extremely slow

2007-10-08 11:03 AM - cdavila -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10837

Description

After updating from 0.8.1 to 0.9 ecw rester images that before were displayed at once now take very long time: 4 images of 9 MB each

one take about 8 minutes and images of about 700 MB don't display after one hour.

More information can be found here: http://forum.qgis.org/viewtopic.php?t=461

Reproduced in two machines with debian-testing and reported by other user in windows XP

History

#1 - 2007-10-27 08:47 AM - cdavila -

I have just replace 0.9.0 package with 0.9~svn20071023-1 from debian.gfoss.it and the problem has disappeared.

#2 - 2007-12-09 08:44 AM - Magnus Homann

- Status changed from Open to In Progress

Let's check with 0.9.1 when it is released.

#3 - 2008-01-08 06:36 AM - Magnus Homann

0.9.1 is now released. I believe this error has disappeared. Can you check?

#4 - 2008-01-08 07:27 AM - cdavila -

I'm still not using definitive 0.9.1, but 0.9.1~pre20071219 from debian.gfoss.it, but problem has certainly disappeared, so I think bug can be closed if no one

has same problem.

#5 - 2008-01-13 09:55 AM - Magnus Homann

- Resolution set to fixed

- Status changed from In Progress to Closed

I also noted slow performance on 0.9.0, but not anymore.

#6 - 2008-01-21 11:20 AM - cdavila -
http://forum.qgis.org/viewtopic.php?t=461


- Status changed from Closed to Feedback

- Resolution deleted (fixed)

I'm having the same problem again. Tested with versions commit:d011ea48 (SVN r7995), commit:23386bd0 (SVN r8010) and commit:34acd76b (SVN

r8023) and in two different machines. Not with 0.9.1 packages.

#7 - 2008-03-17 12:04 PM - cdavilam -

The problem persists in commit:44cc1223 (SVN r8224). Now a bug squashing is being planned, I would really appreciate if this bug is resolved, as I need

to use ecw rasters in my daily work and it's really annoying to wait so much time each time I move map canvas, having to use other programs too often.

#8 - 2008-03-20 06:08 AM - Maciej Sieczka -

I'm not sure if this is relevant, but in general QGIS is very slow displaying tiled [[GeoTIFFs]]. Stripped [[GeoTIFFs]] display about 10 (ten) times faster.

Stripped [[GeoTIFF]] can be created with:

gdal_translate -co "TILED=NO" 

and a tiled one with:

gdal_translate -co "TILED=YES" 

#9 - 2008-04-01 12:34 PM - cdavilam -

After some investigation compiling various revisions, I have found this bug was introduced in commit:4c31165e (SVN r7953). I have attached diff between

revisions 7951 and 7952. Log for commit:4c31165e (SVN r7953) is:

commit:4c31165e (SVN r7953) | ersts | 2008-01-14 04:48:11 +0100 (lun, 14 ene 2008) | 1 line

-Set default contrast enhancement to STRETCH_TO_MIN_MAX

#10 - 2008-05-05 08:27 PM - ersts -

- Status changed from Feedback to Closed

- Resolution set to fixed

There is now an ability to set the default contrast enhancement that will remain persistent between sessions, which resolves this problem to some extent. If

stretching is too slow and not needed, the user can elect not to stretch on initial load.

I think this closes this ticket for QGIS, if there are any upstream issues with GDAL that are also fixed in the future, all the more better.

If this is still not a satisfactory solution, feel free to reopen.

#11 - 2009-08-22 12:54 AM - Anonymous
Milestone Version 0.9.2 deleted

Files

diff_7951_vs_7952 2.5 KB 2008-04-01 cdavilam -
